Subject: Re: [EXT] Re: [PATCH v2 net] qede: fix firmware halt over suspend and resume

From: Jakub Kicinski <[email-masked]>
Date: Fri, 11 Aug 2023 14:45:07 -0700

On Fri, 11 Aug 2023 09:31:15 +0000 Manish Chopra wrote:
> > Does the FW end up recovering? That could still be preferable to rejecting
> > suspend altogether. Reject is a big hammer, I'm a bit worried it will cause a
> > regression in stable.  
> 
> Yes, By adding the driver's suspend handler with explicit error returned 
> to PCI subsystem prevents the system wide suspend and does not impact the
> device/FW at all. It keeps them operational as they were before.

I'm asking about recovery without this patch, not with it.
That should be evident from the text I'm replying under.